
/* Formats for Oregon data */
#define  FMT_ORET     "%.1f"
#define  FMT_OREBP    "%.4g"

/* Don't change anything below */
#define ORE_NEGTEMP 0x20
#define ORE_BATLVL  0x40
#define ORE_LOBAT   0x80

/* Oregon subtypes */
enum {
   OreTemp1, OreTemp2,
   OreTH1, OreTH2, OreTH3, OreTH4, OreTH5, OreTH6,
   OreTHB1, OreTHB2,
   OreRain1, OreRain2, OreRain3,
   OreWind1, OreWind2, OreWind3,
   OreUV1, OreUV2,
   OreDT1, OreElec1,
   OreWeight1, OreWeight2
};

unsigned char oretype ( unsigned char *, unsigned char *, unsigned char *, unsigned short *, int * );
char *translate_gen_longdata ( unsigned char *, unsigned char *, int * );
char *translate_oregon( unsigned char *, unsigned char *, int * );
int is_ore_ignored ( unsigned short );
